# $Revision: 1.21 $, $Date: 2008/07/27 22:29:29 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Observable
Summary:	Class::Observable - allow other classes and objects to respond to events in yours
Summary(pl.UTF-8):	Class::Observable - umożliwienie innym klasom odpowiadania na zdarzenia
Name:		perl-Class-Observable
Version:	1.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a4fe8e71f0082e51d5d97da865b6a708
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-ISA >= 0.32
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have ever used Java, you may have run across the
java.util.Observable class and the java.util.Observer interface. Using
them, you can decouple an object from the one or more objects that
wish to be notified whenever particular events occur.

%description -l pl.UTF-8
Znający Javę być może spotkali się z klasą java.util.Observable i
interfejsem java.util.Observer. Przy ich użyciu można zrezygnować z
łączenia z jednym lub więcej obiektów, które mają być powiadamiane o
wystąpieniu określonych zdarzeń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Observable.spec,v $
Revision 1.21  2008/07/27 22:29:29  arekm
- release 2

Revision 1.20  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:10  paladine
- formatting

Revision 1.17  2004/11/01 21:41:18  adamg
- updated to 1.04

Revision 1.16  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.14  2004/04/18 16:56:35  ankry
- license fixes and unification

Revision 1.13  2004/04/14 11:42:38  ankry
- caps and other cosmetics

Revision 1.12  2003/11/16 12:53:57  migo
- up to 1.02, new bcond style

Revision 1.11  2003/09/15 08:17:30  adamg
- updated to 1.00

Revision 1.10  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:09  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/26 22:32:49  qboosh
- pl description

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
